/*********************************************************************
*                SEGGER Microcontroller GmbH & Co. KG                *
*                        The Embedded Experts                        *
**********************************************************************
*                                                                    *
*       (c) 2003 - 2015  SEGGER Microcontroller GmbH & Co. KG        *
*                                                                    *
*       www.segger.com     Support: support@segger.com               *
*                                                                    *
**********************************************************************
----------------------------------------------------------------------
File        : Resource.h
Purpose     : Resources
---------------------------END-OF-HEADER------------------------------
*/
#ifndef RESOURCE_H
#define RESOURCE_H

#include "DIALOG.h"

/*********************************************************************
*
*       Externals
*
**********************************************************************
*/

/*********************************************************************
*
*       Defines
*
**********************************************************************
*/
#define COLOR_BACK0            GUI_MAKE_COLOR(0xFF3333)
#define COLOR_BACK1            GUI_MAKE_COLOR(0x550000)
#define COLOR_BORDER           GUI_MAKE_COLOR(0x444444)
#define COLOR_KEYPAD0          GUI_MAKE_COLOR(0xAAAAAA)
#define COLOR_KEYPAD1          GUI_MAKE_COLOR(0x555555)
#define BUTTON_COLOR0          GUI_MAKE_COLOR(0xEEEEEE)
#define BUTTON_COLOR1          GUI_MAKE_COLOR(0xCCCCCC)
#define BUTTON_COLOR2          GUI_MAKE_COLOR(0xCCCCCC)
#define BUTTON_COLOR3          GUI_MAKE_COLOR(0xAAAAAA)
#define COLOR_BLUE             GUI_MAKE_COLOR(0x00865B00)
#define BUTTON_SKINFLEX_RADIUS 4
#define ID_BUTTON              (GUI_ID_USER + 0)
#define APP_INIT_LOWERCASE     (WM_USER + 0)
#define MSG_ANIMATE            (WM_USER + 0x02)
#define ANIMATION_TIME         300
#define BM_BACKBUTTON          bmBackButton_53x16
#define SIZE_Y_KEYPAD          (194)

/*********************************************************************
*
*       Types
*
**********************************************************************
*/
typedef struct {
  int          xPos;
  int          yPos;
  int          xSize;
  int          ySize;
  const char * acLabel;
  void (* pfDraw)(WM_HWIN hWin);
  int          HasLowerCase;
} BUTTON_DATA;

typedef struct {
  BUTTON_SKINFLEX_PROPS * pProp;
  int                     Index;
  BUTTON_SKINFLEX_PROPS   PropOld;
} BUTTON_PROP;

typedef struct {
  WM_HWIN hWin;
  WM_HWIN hBackButton;
  int     Dir;
} ANIM_DATA;

/*********************************************************************
*
*       Prototypes
*
**********************************************************************
*/
WM_HWIN GUI_CreateKeyPad(WM_HWIN hParent);

#endif /* RESOURCE_H */

/*************************** End of file ****************************/